#ifndef __GPOD_MANAGER_H__
#define __GPOD_MANAGER_H__

#include <libgrss.h>
#include <tracker-sparql.h>

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GPOD_TYPE_MANAGER (gpod_manager_get_type ())

G_DECLARE_FINAL_TYPE (GpodManager, gpod_manager, GPOD, MANAGER, GObject)

GpodManager *
gpod_manager_new ();

void
gpod_manager_add_feed_by_url (GpodManager *self,
                              gchar       *feed_url);

G_END_DECLS

#endif /* __GPOD_MANAGER_H__ */
